package com.om.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class MaintenanceManualInfo implements Serializable {

    @ApiModelProperty("0：维修资料   1：使用手册")
    private String type;

    @ApiModelProperty("描述集合")
    private List<Describe> describeList;
}
