package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 应用描述表
 * </p>
 *
 * @author henry-ong
 * @since 2024-03-12
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("apps_desc")
@ApiModel(value = "AppsDesc对象", description = "应用描述表")
public class AppsDesc implements Serializable {

    private static final long serialVersionUID = 1L;

      @ApiModelProperty("app_version_describe_id")
        @TableId(value = "id", type = IdType.AUTO)
      private Integer id;

      @ApiModelProperty("App ID")
      private Integer appId;

      @ApiModelProperty("语言")
      private String language;

      @ApiModelProperty("描述")
      private String description;
}
