package com.om.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class WxscVO implements Serializable {

  @ApiModelProperty("标题")
  private String title;

  @ApiModelProperty("语言")
  private String[] lang;

  @ApiModelProperty("手册文件名")
  @TableField(value="scName")
  private String[] scName;

  @ApiModelProperty("文件网址")
  private String[] fileUrl;

  @ApiModelProperty("品牌")
  @TableField(value="brandCode")
//  private String[] brandCode;
  private String brandCode;

  @ApiModelProperty("客户端编号")
  @TableField(value="clientCode")
  private String[] clientCode;

  @ApiModelProperty("创建时间")
  @TableField(value="createTime")
  private LocalDateTime createTime;

  @ApiModelProperty("最近修改时间")
  @TableField(value="updateTime")
  private LocalDateTime updateTime;
}
