package com.om.entity.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class APPReportCreateDTO extends AppBaseDTO {

    @ApiModelProperty(value = "诊断报告ID")
    private Integer id;

    @ApiModelProperty(value = "主标题，如：诊断报告")
    private String mainTitle;

    @ApiModelProperty(value = "小标题，如车辆信息")
    private String carInfoTitle;

    @ApiModelProperty(value = "里程")
    private String mileage;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "公司")
    private String company;

    @ApiModelProperty(value = "电话")
    private String telephone;

    @ApiModelProperty(value = "年款")
    private String modelYear;

    @ApiModelProperty(value = "vin")
    private String vin;

    @ApiModelProperty(value = "VciSN号")
    private String sn;

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "诊断路径")
    private String diagnosticPath;

    @ApiModelProperty(value = "报告编号")
    private String repairNum;

    @ApiModelProperty(value = "小标题，如：诊断详情")
    private String diagnosticDetailsTitle;

    @ApiModelProperty(value = "故障码标题")
    private String faultCodeTitle;

    @ApiModelProperty(value = "版本信息标题")
    private String versionInfoTitle;

    @ApiModelProperty(value = "异常系统标题")
    private String abnormalSystemTitle;

    @ApiModelProperty(value = "正常系统标题")
    private String normalSystemTitle;
    @ApiModelProperty(value = "地址标题")
    private String addressTitle;

    @ApiModelProperty(value = "公司标题")
    private String companyTitle;

    @ApiModelProperty(value = "电话标题")
    private String telephoneTitle;

    @ApiModelProperty(value = "提示信息")
    private String disclaimer;

    @ApiModelProperty(value = "年款标题")
    private String modelYearTitle;

    @ApiModelProperty(value = "SN标题")
    private String snTitle;

    @ApiModelProperty(value = "vin标题")
    private String vinTitle;

    @ApiModelProperty(value = "里程标题")
    private String mileageTitle;

    @ApiModelProperty(value = "诊断报告编号标题")
    private String diagnosticReportTitle;

    @ApiModelProperty(value = "诊断路径标题")
    private String diagnosticPathTitle;

    @ApiModelProperty(value = "激活的系统集合")
    private List<AppElectronicDTO> electronicControls;
}
