package com.om.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;

@Data
@NoArgsConstructor
public class VehicleDates {

    @ApiModelProperty(value = "品牌编号")
    private String brandCode;

    @ApiModelProperty(value = "品牌名称")
    private String brandCn;

    @ApiModelProperty(value = "品牌英文名称")
    private String brandEn;

    @ApiModelProperty(value = "文件大小")
    private long fileSize;

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "版本号")
    private String version;

    @ApiModelProperty(value = "版本描述")
    private String description;

    @ApiModelProperty(value = "首字母")
    private String sortLetter;

    @ApiModelProperty(value = "0:测试 1:发布 2:下架")
    private Integer status;

    @ApiModelProperty(value = "功能名")
    private String functionName;

    @ApiModelProperty(value = "文件MD5")
    private String md5;

    @ApiModelProperty(value = "下载路径")
    private String url;

    @ApiModelProperty(value = "创建时间")
    private long createTime;

    @ApiModelProperty(value = "0：强制更新  1：不强制")
    private Integer isUpdate;
}
