package com.om.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author henry-ong
 * @since 2024-02-28
 */
@Data
public class ManualPageVO implements Serializable {

      @ApiModelProperty("手册id")
      private Integer id;

      @ApiModelProperty("标题")
      private String title;

      @ApiModelProperty("语言")
      private String lang;

      @ApiModelProperty("手册文件名")
      private String fileName;

      @ApiModelProperty("网址")
      private String url;

      @ApiModelProperty("客户端编号")

      private String clientCode;

    @ApiModelProperty("客户端名称")
    private String clientName;

      @ApiModelProperty("创建时间")
      @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
      private LocalDateTime createTime;

      @ApiModelProperty("最近修改时间")
      @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
      private LocalDateTime updateTime;
}
