package com.om.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.List;

@Data
@NoArgsConstructor
public class UserLoginVO {


    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "公司名称")
    private String company;

    @ApiModelProperty(value = "公司地址")
    private String address;

    @ApiModelProperty(value = "公司网站")
    private String website;

    @ApiModelProperty(value = "公司电话")
    private String telephone;

    @ApiModelProperty(value = "Vci SN号")
    private String vciSn;

    @ApiModelProperty(value = "guid")
    private String guid;

    @ApiModelProperty(value = "状态")
    private Integer state;

    @ApiModelProperty(value = "vci列表")
    private List<VciInfoVO> vciInfoList;

}
