package com.om.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-02-28
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class UserVciInfo implements Serializable {

    @ApiModelProperty(value = "客户端用户ID")
    private Integer userId;

    @ApiModelProperty(value = "VCI设备ID")
    private Integer id;

    @ApiModelProperty("vciNum")
    private String vciNum;

    @ApiModelProperty(value = "是否为默认VCI设备")
    private Integer isDefault;


}
